.\" Copyright 2009 The Archiveopteryx Developers <info@aox.org>
.TH aoximport 8 2013-12-02 aox.org "Archiveopteryx Documentation"
.SH NAME
aoximport - import messages into Archiveopteryx.
.SH SYNOPSIS
.B $BINDIR/aoximport
[-vqe]
.I mailbox
.I type
.I source-file
[
.I source-file ...
]
.SH DESCRIPTION
.nh
.PP
.B aoximport
is used to import messages into Archiveopteryx en masse from other
mailboxes (mbox, MH, maildir and Cyrus mailboxes are currently supported).
.SH OPTIONS
.IP -v
enables more verbose output. Can be repeated.
.IP -q
sets the verbosity to zero.
.IP -e
makes
.B aoximport
write problem messages to the errors subdirectory. If a message has parse problems,
.B aoximport
writes a copy of the message to errors/anonymised if anonymisation
preserves the error, and to errors/plaintext else. The message is also
written to the target mailbox, as an attachment to a special error
message.
.IP
The messages in the errors directory may be sent to info@aox.org, and
we'll try to find out what the problem is. Please delete
personal/confidential messages from errors/plaintext first.
.SH SYNTAX
In the synopsis above,
.I mailbox
is the fully-qualified name of the destination mailbox (which must
exist) into which messages are imported.
.I type
may be
.IR mbox ,
.IR maildir ,
.IR mh ,
or
.IR cyrus .
The remaining arguments are interpreted as mailbox filenames of the
specified
.IR type .
.SH EXAMPLES
To import messages from the mbox files in ~/Mail/imap/* to a mailbox
named /users/nirmala/imap:
.IP
aoximport /users/nirmala/imap mbox ~/Mail/imap/*
.PP
After a large import, it's a good idea to run
.IR "aox vacuum" .
.SH AUTHOR
The Archiveopteryx Developers, info@aox.org.
.SH VERSION
This man page covers Archiveopteryx version 3.2.0, released 2013-12-02,
http://archiveopteryx.org/3.1.3
.SH SEE ALSO
.BR aox (8),
.BR archiveopteryx (8),
http://archiveopteryx.org
