.\" Copyright 2009 The Archiveopteryx Developers <info@aox.org>
.TH installer 8 2013-12-02 aox.org "Archiveopteryx Documentation"
.SH NAME
installer - Archiveopteryx installer.
.SH SYNOPSIS
.B $LIBDIR/installer
[
.I -n
] [
.I -q
] [
.I -v
] ...
.SH DESCRIPTION
.nh
.PP
This program does the following:
.PP
1. Creates a Unix group named $AOXGROUP.
.PP
2. Creates a Unix user named $AOXUSER.
.PP
3. Creates a Postgres user named $AOXUSER.
.PP
4. Creates a Postgres user named $DBOWNER.
.PP
5. Creates a Postgres database named $DBNAME owned by $DBOWNER.
.PP
6. Loads the database schema and grants limited privileges to user $AOXUSER.
.PP
7. Generates an initial configuration file.
.PP
8. Adjusts ownership and permissions if necessary.
.PP
.B installer
should be run after
.I "jam install"
when installing from source.
.PP
By default, the address of the PostgreSQL server is derived from the
compile-time
.I DBADDRESS
setting in the
.I Jamsettings
file (which is
.I $DBADDRESS
by default). If the
.I db-address
variable is set in an existing configuration file, that value takes
precedence. If the
.I -a
command-line flag is used, then the address specified has precedence
over either of the former values.
.PP
If the server address (as determined above) is
.IR 127.0.0.1 ,
the installer will try to use a Unix domain socket to connect to the
server. The location of this socket is determined by the
.I -s socket
command-line argument. If no socket is specified, the default named
socket location (
.IR /tmp/.s.PGSQL.5432 )
is used instead.
For any other server address, the installer will try to use a Unix
domain socket only if one is explicitly specified with
.IR -s .
In any case, if password authentication is to be used when talking to
the server, the
.I -P
option will cause the installer to prompt for the password.
.SH OPTIONS
.IP -q
Suppresses all normal output.
.IP -v
Makes the output more verbose (may be repeated).
.IP -n
Causes the program to report what it would do, but not actually do
anything.
.IP "-g group"
Allows you to specify a Unix group other than the default of $AOXGROUP.
.IP "-u user"
Allows you to specify a Unix username other than the default of
$AOXUSER.
.IP "-p postgres"
Allows you to specify the name of the PostgreSQL superuser. The default
is to try $PGUSER (if set), postgres and pgsql in turn.
.IP "-P"
Instructs the installer to prompt for and read the PostgreSQL
superuser's password, and be prepared to use that for authentication (if
necessary).
.IP "-a address"
Allows you to specify a different address for the Postgres server. The
default is $DBADDRESS.
.IP "-s /path/to/socket"
Allows you to specify a location for the PostgreSQL server's Unix-domain
listening socket. The specified value is used as described above.
.IP "-t port"
Allows you to specify a different port for the Postgres server. The
default is 5432. (This value is used only if the server address does
not refer to a Unix socket.)
.IP "-d dbname"
Allows you to specify a database to use. The default is
.IR $DBNAME .
.IP "-S schema"
Allows you to specify a schema where the Archiveopteryx database objects
will be installed. If this is not specified, objects are installed into
the
.I $DBSCHEMA
schema.
.IP
Please do not use
.I -S
unless you are sure you understand all its implications. It is safe to
ignore it entirely if you don't.
.PP
The defaults come from
.IR Jamsettings .
.SH DIAGNOSTICS
The return code is zero if all goes well, and a non-zero in case of
errors. Disasters are logged via stderr.
.SH AUTHOR
The Archiveopteryx Developers, info@aox.org.
.SH VERSION
This man page covers Archiveopteryx version 3.2.0, released 2013-12-02,
http://archiveopteryx.org/3.1.3
.SH SEE ALSO
.BR archiveopteryx (8),
.BR archiveopteryx.conf (5),
.BR logd (8),
http://archiveopteryx.org
