.\" Copyright 2009 The Archiveopteryx Developers <info@aox.org>
.TH logd 8 2013-12-02 aox.org "Archiveopteryx Documentation"
.SH NAME
logd - logging server for Archiveopteryx.
.SH SYNOPSIS
.B $SBINDIR/logd [-f] [-c configfile]
.SH DESCRIPTION
.nh
.PP
The Archiveopteryx
.B logd
is an internal server which receives, buffers and filters log entries
from other parts of Archiveopteryx, so that useful messages are logged, while
noise is suppressed.
.PP
Archiveopteryx's log system uses four log levels:
.IR Disaster ,
.IR Error ,
.I Info
and
.IR Debug .
Each program in Archiveopteryx sends its log messages to
.BR logd ,
which writes them to a logfile.
.PP
If a message is logged with severity
.IR log-level
(set to
.I Info
by default) or greater, it is immediately written to the log file. All
messages of lower severity are discarded.
.PP
If
.B logd
receives the SIGHUP signal, it closes and reopens its logfile.
.PP
After startup,
.B logd
changes root to the directory where
.I logfile
is located, and changes uid and gid to
.I jail-user
and
.IR  jail-group .
Therefore,
.I jail-user
must have the right to open
.IR logfile .
.SH OPTIONS
.IP "-c filename"
Read configuration variables from
.I filename
instead of from
.IR $CONFIGDIR/archiveopteryx.conf .
.IP -f
Fork into background during startup.
.SH CONFIGURATION
.B logd
is configured using
.BR archiveopteryx.conf (5).
.PP
.B logd
uses the following configuration variables:
.IR log-address ,
.IR log-port ,
.I logfile
(default $LOGFILE),
.I log-level
(default
.IR info ),
.I jail-user
(default
.IR $AOXUSER ),
.I jail-group
(default
.IR $AOXGROUP ).
.SH DIAGNOSTICS
In case of error,
.B smtpd
exits with exit code 1, an error message on stderr and (usually more
detailed) information in the log file.
.SH FILES
$CONFIGDIR/archiveopteryx.conf
.br
$SBINDIR/logd
.SH AUTHOR
The Archiveopteryx Developers, info@aox.org.
.SH VERSION
This man page covers Archiveopteryx version 3.2.0, released 2013-12-02,
http://archiveopteryx.org/3.1.3
.SH SEE ALSO
.BR archiveopteryx (8),
.BR archiveopteryx.conf (5),
.BR deliver (8),
.BR aox (8),
http://archiveopteryx.org
