.\" Copyright 2009 The Archiveopteryx Developers <info@aox.org>
.TH recorder 8 2013-12-02 aox.org "Archiveopteryx Documentation"
.SH NAME
recorder - IMAP connection recorder
.SH SYNOPSIS
.B $SBINDIR/recorder srcport address destport file
.SH DESCRIPTION
.nh
.PP
The
.B recorder
program relays data between an IMAP client and server, and records the
session in a format which allows the Archiveopteryx developers to replay
and analyse it later.
.PP
If you have problems getting
.BR archiveopteryx (8)
to work with a particular IMAP client, you can make the client connect
to the
.BR recorder ,
instead of directly to
.BR imapd ,
and
.B recorder
will produce a transcript of the IMAP session. If the client opens more
than one connection,
.B recorder
stores more than one file.
.PP
The file format is pure ASCII and can be edited. We suggest that you
edit out your password, then send the rest to info@aox.org and we may
be able to find out what's happening.
.PP
We have debug tools that can replay the connection, so we can fix any
bugs on the server's side. In some cases, we can also add the file to
our regression tests, so we can be sure that new versions of
.BR archiveopteryx (8)
do not have the same error.
.SH EXAMPLE
To intercept and record traffic to the IMAP server
on 192.0.2.17 and place a record of the connections in files called
.I /tmp/bugreport*
you can do the following:
.SS "Disable TLS"
.PP
.B recorder
does not work when TLS is being used. (To TLS, a tool like
.B recorder
looks like a man-in-the-middle attack.)
.PP
To disable TLS, set the variable
.I use-tls
to
.I disabled
in
.I $CONFIGDIR/archiveopteryx.conf
(see the
.BR archiveopteryx.conf (5)
man page for more information.)
.SS "Restart Archiveopteryx"
The change to
.I use-tls
only takes effect when you restart Archiveopteryx, e.g. by issuing the
following command:
.IP
$LIBDIR/archiveopteryx restart
.SS "Start recorder"
To make recorder listen on port 1430 and forward connections
to the real server on port 143:
.IP
$SBINDIR/recorder 1430 192.0.2.17 143 /tmp/bugreport
.SS "Connect to recorder"
With the IMAP client, you connect to port 1430 on this host instead of
the real server, and work as usual. Please don't do much more than is
necessary to reproduce the problem, because it makes the bugreport
files grow very large.
.IP Stop
Just hit Control-C to stop
.B recorder
when you're done. The files called
.I /tmp/bugreport*
contain the IMAP session transcripts.
.IP "Remove passwords"
Please edit the files to remove any passwords or other confidential
data. If you can, don't change the number of words or bytes. It's best
to change all the letters in passwords and confidential words to 'x'.
.PP
That's it. Now you can send an excellent bug report to info@aox.org.
.SH AUTHOR
The Archiveopteryx Developers, info@aox.org.
.SH VERSION
This man page covers Archiveopteryx version 3.2.0, released 2013-12-02,
http://archiveopteryx.org/3.1.3
.SH SEE ALSO
.BR archiveopteryx (8),
.BR archiveopteryx.conf (5),
.BR deliver (8),
.BR logd (8),
http://archiveopteryx.org
